Loading...
Searching...
No Matches
MatrixSerialization.h File Reference

Serialization for matrices. More...

Go to the source code of this file.

## Functions

template<class Archive, typename Scalar_, int Rows_, int Cols_, int Ops_, int MaxRows_, int MaxCols_>
void | boost::serialization::save (Archive &ar, const Eigen::Matrix< Scalar_, Rows_, Cols_, Ops_, MaxRows_, MaxCols_ > &m, const unsigned int)
| Ref.
template<class Archive, typename Scalar_, int Rows_, int Cols_, int Ops_, int MaxRows_, int MaxCols_>
void | boost::serialization::load (Archive &ar, Eigen::Matrix< Scalar_, Rows_, Cols_, Ops_, MaxRows_, MaxCols_ > &m, const unsigned int)
template<class Archive, typename Scalar_, int Rows_, int Cols_, int Ops_, int MaxRows_, int MaxCols_>
void | boost::serialization::serialize (Archive &ar, Eigen::Matrix< Scalar_, Rows_, Cols_, Ops_, MaxRows_, MaxCols_ > &m, const unsigned int version)
template<class Archive>
void | boost::serialization::serialize (Archive &ar, gtsam::Matrix &m, const unsigned int version)

## Detailed Description

Serialization for matrices.

Author
  Frank Dellaert

Date
  February 2022

## Function Documentation

## save()

template<class Archive, typename Scalar_, int Rows_, int Cols_, int Ops_, int MaxRows_, int MaxCols_>

void boost::serialization::save | ( | Archive & | ar,
|  | const Eigen::Matrix< Scalar_, Rows_, Cols_, Ops_, MaxRows_, MaxCols_ > & | m,
|  | const unsigned int | )

Ref.

https://stackoverflow.com/questions/18382457/eigen-and-boostserialize/22903063#22903063

Eigen supports calling resize() on both static and dynamic matrices. This allows for a uniform API, with resize having no effect if the static matrix is already the correct size. https://eigen.tuxfamily.org/dox/group__TutorialMatrixClass.html#TutorialMatrixSizesResizing

We use all the Matrix template parameters to ensure wide compatibility.

eigen_typekit in ROS uses the same code http://docs.ros.org/lunar/api/eigen_typekit/html/eigen__mqueue_8cpp_source.html